
%global sover 0

Name:		riemann-c-client
Version:	1.10.5
Release:    1%{?dist}
Summary:	The riemann C client
License:	GPLv2
Url:		https://github.com/algernon/riemann-c-client
Source0:	%{url}/archive/refs/tags/%{name}-%{version}.tar.gz
Patch0000:	riemann-c-client-1.10.5-gcc10_symver.patch
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	pkgconfig
BuildRequires:	protobuf-c-devel
BuildRequires:	json-c-devel
BuildRequires:  gnutls-devel

%description
This is a C client library for the Riemann monitoring system, providing a
convenient and simple API, high test coverage and a copyleft license,
along with API and ABI stability.

%package devel
Summary:	Development files for riemann-c-client
Requires:	%{name} = %{version}-%{release}
Requires:	protobuf-c-devel
Requires:	json-c-devel

%description devel
This package provides files necessary for riemann-c-client development.

%prep
%setup -qn %{name}-%{name}-%{version}
%patch0 -p1 -b.gcc10_symver
autoreconf -fiv

%build
%configure --disable-static
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/libriemann-client.la


%files
%doc README.md NEWS.md
%license LICENSE*
%{_libdir}/libriemann-client.so.%{sover}*
%{_bindir}/riemann-client
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/riemann/
%{_libdir}/libriemann-client.so
%{_libdir}/pkgconfig/riemann-client.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.5-1
- initial build
